jc_updates:
  namespace: "Organisms/TM - Journey Check/JC Updates"
  use: "@organisms/tm-jc/jc-updates/jc-updates.twig"
  label: Travel Updates
  description: Live travel updates block
  libraries:
    - jc_updates_lib:
        css:
          component:
            ../styles/jc-updates.css: { weight: 10 }

  fields:
    element:
      type: object
      label: Data - Items
      preview:
        status: minor
        statusText: Problems reported
        footerText: ''
        hasIncidents: true
        items:
          - name: London Euston Lines
            machineName: london_euston
            status: good
            statusText: Good
            hasIncidents: false
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            children:
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-mids
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '506'
                name: Liverpool via Crewe
                machineName: liverpool-line
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true
          - name: London Euston Lines
            machineName: london_euston
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            children:
              - id: '508'
                name: Northampton via Milton Keynes Central
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '510'
                name: Crewe via The Trent Valley
                machineName: trent-valley
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            children:
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-mids
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '506'
                name: Liverpool via Crewe
                machineName: liverpool-line
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true

  settings:
    showbutton:
      type: boolean
      label: Show button
      preview: true

jc_updates_wrapper:
  namespace: "Organisms/TM - Journey Check/JC Updates"
  use: "@organisms/tm-jc/jc-updates/jc-updates-wrapper.twig"
  label: Travel Updates Wrapper
  description: Travel Updates Wrapper
